pidgin: ntlm.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Functions
ntlm.h File Reference

Go to the source code of this file.

## Functions
gchar * | purple_ntlm_gen_type1 (const gchar *hostname, const gchar *domain)
| Generates the base64 encoded type 1 message needed for NTLM authentication.
guint8 * | purple_ntlm_parse_type2 (const gchar *type2, guint32 *flags)
| Parses the ntlm type 2 message.
gchar * | purple_ntlm_gen_type3 (const gchar *username, const gchar *passw, const gchar *hostname, const gchar *domain, const guint8 *nonce, guint32 *flags)
| Generates a type3 message.

## Function Documentation

## ◆ purple_ntlm_gen_type1()

gchar * purple_ntlm_gen_type1 | ( | const gchar * | hostname,
|  | const gchar * | domain
| ) |  |

Generates the base64 encoded type 1 message needed for NTLM authentication.

Parameters

  hostname | Your hostname
  domain | The domain to authenticate to

Returns
  base64 encoded string to send to the server. This should be g_free'd by the caller.

## ◆ purple_ntlm_gen_type3()

gchar * purple_ntlm_gen_type3 | ( | const gchar * | username,
|  | const gchar * | passw,
|  | const gchar * | hostname,
|  | const gchar * | domain,
|  | const guint8 * | nonce,
|  | guint32 * | flags
| ) |  |

Generates a type3 message.

Parameters

  username | The username
  passw | The password
  hostname | The hostname
  domain | The domain to authenticate against
  nonce | The nonce returned by purple_ntlm_parse_type2
  flags | Pointer to the flags returned by purple_ntlm_parse_type2

Returns
  A base64 encoded type3 message. This should be g_free'd by the caller.

## ◆ purple_ntlm_parse_type2()

guint8 * purple_ntlm_parse_type2 | ( | const gchar * | type2,
|  | guint32 * | flags
| ) |  |

Parses the ntlm type 2 message.

Parameters

  type2 | String containing the base64 encoded type2 message
  flags | If not `NULL`, this will store the flags for the message

Returns
  The nonce for use in message type3. This is a statically allocated 8 byte binary string.